##### basic_stream_socket::basic_stream_socket (5 of 6 overloads)

Move-construct a `basic_stream_socket` from another.

    basic_stream_socket(
        basic_stream_socket && other);

This constructor moves a stream socket from one object to another.

###### Parameters

other

  The other `basic_stream_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_stream_socket(io_context&) constructor`.